unit uBizGruposProveedor;

interface

uses
  uDAInterfaces, uDADataTable, schContactosClient_Intf;

const
  BIZ_CLIENT_GRUPOSPROVEEDOR = 'Client.GrupoProveedor';

type
  IBizGrupoProveedor = interface(IGruposProveedor)
    ['{2D502FA6-E3D7-4E32-813D-CC5EB554A074}']
  end;

  TBizGrupoProveedor = class(TGruposProveedorDataTableRules, IBizGrupoProveedor)
    procedure AfterOpen(Sender: TDADataTable); override;  
  end;

implementation

{ TBizGrupoProveedor }

procedure TBizGrupoProveedor.AfterOpen(Sender: TDADataTable);
begin
  inherited;
  DataTable.Sort([fld_GruposProveedorDESCRIPCION], [sdAscending]);   
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_GRUPOSPROVEEDOR, TBizGrupoProveedor);

finalization

end.



